[API Reference](../README.md) > [ProposeUpgradingSchemeParams](../interfaces/ProposeUpgradingSchemeParams.md)



# Interface: ProposeUpgradingSchemeParams


## Properties
<a id="avatar"></a>

###  avatar

**●  avatar**:  *[Address](../#Address)* 

*Defined in [wrappers/upgradeScheme.ts:265](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/upgradeScheme.ts#L265)*



avatar address




___

<a id="scheme"></a>

###  scheme

**●  scheme**:  *`string`* 

*Defined in [wrappers/upgradeScheme.ts:269](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/upgradeScheme.ts#L269)*



upgrading scheme address




___

<a id="schemeParametersHash"></a>

###  schemeParametersHash

**●  schemeParametersHash**:  *`string`* 

*Defined in [wrappers/upgradeScheme.ts:273](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/upgradeScheme.ts#L273)*



hash of the parameters of the upgrading scheme. These must be already registered with the new scheme.




___


